import service from '@/utils/request'

export const saveForm = (data: any) => {
	return service.post('/fast/devForm/save', data)
}


export const submitFlowForm = (data: any) => {
	return service.post('/fast/devForm/submitFlow', data)
}


export const updateForm = (data: any) => {
	return service.post('/fast/devForm/update', data)
}

export const getInfo = (data: any) => {
	return service.post('/fast/devForm/getInfo', data)
}

export const delInfo = (data: any) => {
	return service.post('/fast/devForm/delInfo', data)
}

export const defaultBtnServer = (data: any) => {
	return service.post('/fast/devForm/defaultBtnServer', data)
}

export const btnServerUrl = (url: string, data: any) => {
	return service.post(url, data)
}

export const getBtnCode = (btnCode: string) => {
	return service.get('/fast/form/getBtnCode?btnCode=' + btnCode)
}

export const saveBtnCode = (data: any) => {
	return service.post('/fast/form/saveBtnCode', data)
}

export const getFormConfig = (data: any) => {
	return service.post('/fast/form/getFormConfig', data)
}

export const getFormTableColumn = (data: any) => {
	return service.post('/fast/form/getFormTableColumn', data)
}

export const saveOrUpdateApi = (data: any) => {
	return service.post('/fast/form/saveOrUpdate', data)
}

export const getFlowUserConfigAndNodesApi = (data: any) => {
	return service.post('/flow/template/getFlowUserConfigAndNodes', data)
}
